Bug 752573 - gnome-shell-extension-workspace-indicator display incorrect
gnome-shell-extension-workspace-indicator display incorrect
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions (Show other bugs)
16
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-09 16:43 EST by Norman Smith
Modified: 2011-12-22 22:26 EST (History)
4 users (show)

See Also:
Fixed In Version: gnome-shell-extensions-3.2.3-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-22 22:26:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Corrects confusing button and menu display. (1.31 KB, patch)
2011-11-09 16:43 EST, Norman Smith
no flags Details | Diff
Updated patch to 3.2.0-2 (2.40 KB, patch)
2011-11-24 13:45 EST, Norman Smith
no flags Details | Diff

  None (edit)
Description Norman Smith 2011-11-09 16:43:54 EST
Created attachment 532681 [details]
Corrects confusing button and menu display.

Description of problem:
The extension's display in the panel and menu conflict when no application is open after the first time an application has been opened and then closed.

Version-Release number of selected component (if applicable):
gnome-shell-extension-workspace-indicator-3.2.0-1.fc16

How reproducible:
Every time.

Steps to Reproduce:
1. Login.  "Workspace 1" is displayed in the Panel.  Click the extension on the panel; it displays "Workspace 1" in the menu as active.
2. Open an application.  "Workspace 1" is displayed in the Panel. Click the extension on the panel; it displays "Workspace 1" in the menu as active and displays "Workspace 2".
3. Close the application. "Workspace 2" is displayed in the Panel. Click the extension on the panel; it displays "Workspace 1" ONLY in the menu and as not active.
4. Open an application. Workspace 1" is displayed in the Panel. Click the extension on the panel; it displays "Workspace 1" in the menu as active and "Workspace 2" as in step 2.
  
Actual results:
The display on the panel and the entry displayed in the menu are inconsistent and incorrect.  Only one workspace exists and references to workspaces 1 and 2 are displayed.

Expected results:
The panel display and the menu should appear the same as at login when the last application is closed in workspace 1 and there are no other applications open in other workspaces.

Additional info:

global.screen.get_active_workspace().index() is returning 1 when global.screen.n_workspaces is 1 when closing an application leaves no applications open in any workspace.  This appears to not be a problem except when global.screen.get_active_workspace().index() is used during construction of the indicator's button and menu as described above.  Logically when the workspace 1 (index 0) is deleted upon closing its last application; workspace 2 (index 1) may be considered the active workspace and is correct if it has an open application.  In fact when another application is opened workspace 2 becomes workspace 1.  From a human factors standpoint if you only have one workspace it should be workspace one.
Comment 1 Norman Smith 2011-11-24 13:45:50 EST
Created attachment 536009 [details]
Updated patch to 3.2.0-2

Today gnome-shell-extensions-3.2.0-2.fc16 came down as an update and returned my workspace-indicator extension to the same broken state originally reported.

I have attached an updated patch made with sources from gnome-shell-extensions-3.2.0-2.fc16.src.rpm.

Please note I made a minor change in the way the workspace is indicated on the panel.  It appears more in accord with the appearance of the other items displayed on the panel.
Comment 2 Mohamed El Morabity 2011-12-01 08:45:03 EST
Did you ever report the bug upstream? If yes, could you provide the bug number in the GNOME bug tracker?
Comment 3 Norman Smith 2011-12-01 09:33:10 EST
I did not report the bug upstream to the gnome bugzilla.

If you prefer that I report it upstream I will do so, just let me know.  I re-installed the extension and tested today to be sure it still has the problem.  It is still broken.
Comment 4 Norman Smith 2011-12-12 17:27:51 EST
In the gnome shell repository for the extensions (git://git.gnome.org/gnome-shell-extensions) I found the bug I reported here has been corrected.  The extension in the repository displays the active workspace correctly.

I opened Gnome Bugzilla - Bug # 666033 (with a patch) requesting an enhancement to save panel space.  The patch simply changes the extension to remove the word "Workspace" from the panel display and adds a light gray background to high-light the active workspace number on the panel.
Comment 5 Fedora Update System 2011-12-18 11:40:44 EST
gnome-shell-extensions-3.2.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnome-shell-extensions-3.2.3-1.fc16
Comment 6 Fedora Update System 2011-12-21 11:55:07 EST
Package gnome-shell-extensions-3.2.3-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-shell-extensions-3.2.3-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17229/gnome-shell-extensions-3.2.3-1.fc16
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2011-12-22 22:26:38 EST
gnome-shell-extensions-3.2.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.